%{?scl:%scl_package perl-Unicode-Collate}

Name:           %{?scl_prefix}perl-Unicode-Collate
Version:        1.14
Release:        366%{?dist}
Summary:        Unicode Collation Algorithm
License:        (GPL+ or Artistic) and UCD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Unicode-Collate/
Source0:        http://www.cpan.org/authors/id/S/SA/SADAHIRO/Unicode-Collate-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  %{?scl_prefix}perl
BuildRequires:  %{?scl_prefix}perl-devel
BuildRequires:  %{?scl_prefix}perl-generators
BuildRequires:  %{?scl_prefix}perl(Carp)
BuildRequires:  %{?scl_prefix}perl(constant)
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker)
BuildRequires:  %{?scl_prefix}perl(File::Spec)
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(warnings)
# Run-time:
BuildRequires:  %{?scl_prefix}perl(base)
BuildRequires:  %{?scl_prefix}perl(DynaLoader)
BuildRequires:  %{?scl_prefix}perl(Unicode::Normalize)
Requires:       %{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))
Requires:       %{?scl_prefix}perl(Unicode::Normalize)
Conflicts:      %{?scl_prefix}perl < 4:5.22.0-347

%{?perl_default_filter}

%description
This package is Perl implementation of Unicode Technical Standard #10 (Unicode
Collation Algorithm).

%prep
%setup -q -n Unicode-Collate-%{version}
# Remove pregenerated files
rm Collate/Locale/*
# Collate/CJK/Korean.pm is input for mklocale script, do not remove it here

%build
# Regenerate code from Collate/allkeys.txt whose authority is
# <http://www.unicode.org/Public/UCA/latest/allkeys.txt>
%{?scl:scl enable %{scl} '}perl mklocale%{?scl:'}
mv Locale/*.pl Collate/Locale
mv Korean.pm Collate/CJK

%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unicode*
%{_mandir}/man3/*

%changelog
* Mon Jul 11 2016 Petr Pisar <ppisar@redhat.com> - 1.14-366
- SCL

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.14-365
- Increase release to favour standalone package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 13 2015 Petr Pisar <ppisar@redhat.com> - 1.14-1
- 1.14 bump

* Thu Jul 02 2015 Petr Pisar <ppisar@redhat.com> 1.12-348
- Specfile autogenerated by cpanspec 1.78.
- Run mklocale only if not bootstrapping
